<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://code.jquery.com/jquery-3.1.1.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script> 
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.quicksearch/2.3.1/jquery.quicksearch.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        
        
    </head>
    <body>
         
        
        
        <h1>Bootstrap</h1>
        
        <hr />
        
        <br />
        <br />

        
        Classe:<input id="txt_consulta" placeholder="Pesquisar" type="text" />
        
        

        <table id="tabela" border="2" width="100%" >
            <thead>
                
                <tr>
                    <th>Codigo</th>
                    <th>Classe</th>
                    <th>Descrição</th>
                    <th>Link</th>
                </tr>
            </thead>
            <tbody>
                <tr >
                    <td bgcolor='#CDCDCD'>001</td>
                    <td bgcolor='#CDCDCD'>.btn-danger</td>
                    <td bgcolor='#CDCDCD'>Botão vermelho. Indica perigo ou ação negativa.</td>
                    <td bgcolor='#CDCDCD'><a href= "https://getbootstrap.com/docs/4.0/components/buttons#examples" target="_blank">Botão Vermelho</a></td>
                </tr>
                <tr>
                   <td >002</td>
                   <td >.btn-info</td>
                   <td >Botão azul claro. Representa informações</td>
                   <td ><a href= "https://getbootstrap.com/docs/4.0/components/buttons#examples" target="_blank">Botão Azul Claro</a></td>
                </tr>
                <tr>
                   <td bgcolor='#CDCDCD'>003</td>
                   <td bgcolor='#CDCDCD'>.container</td>
                   <td bgcolor='#CDCDCD'>Recipiente de largura fixa com larguras determinadas pelos sites da tela. Margem igual à esquerda e à direita.</td>
                   <td bgcolor='#CDCDCD'><a href= "https://getbootstrap.com/docs/4.3/layout/overview#containers" target="_blank">Recipiente</a></td>
                </tr>
                <tr>
                   <td >004</td>
                   <td >.affix</td>
                   <td >O plug-in Affix permite que um elemento seja afixado (bloqueado / adesivo) em uma área da página. Alterna a position:fixed on and off</td>
                   <td ><a href= "https://getbootstrap.com/docs/3.4/javascript#affix" target="_blank">Afixo</a></td>
                </tr>
                <tr>
                   <td bgcolor='#CDCDCD'>005</td>
                   <td bgcolor='#CDCDCD'>.divider</td>
                   <td bgcolor='#CDCDCD'>Usado para separar links no menu suspenso com uma borda horizontal fina.</td>
                   <td bgcolor='#CDCDCD'><a href= "https://getbootstrap.com/docs/3.4/components#dropdowns-divider" target="_blank">Divisor</a></td>
                </tr>
                <tr>
                   <td >006</td>
                   <td >.form-control</td>
                   <td >Usado na entrada, na área de texto e nos elementos selecionados para abranger toda a largura da página e torná-los responsivos.</td>
                   <td ><a href= "https://getbootstrap.com/docs/4.3/components/forms#form-controls" target="_blank">Controle de Forma</a></td>
                </tr>
                <tr>
                   <td bgcolor='#CDCDCD'>007</td>
                   <td bgcolor='#CDCDCD'>.has-warning</td>
                   <td bgcolor='#CDCDCD'>Adiciona uma cor amarelo / laranja ao rótulo e uma borda amarela / laranja à entrada, além de um ícone de marca de seleção dentro da entrada (usado junto com .has-feedback)</td>
                   <td bgcolor='#CDCDCD'><a href= "https://v4-alpha.getbootstrap.com/components/forms#how-it-works" target="_blank">Aviso</a></td>
                </tr>
                <tr>
                   <td >008</td>
                   <td >.bg-success</td>
                   <td >Adiciona uma cor de fundo verde a um elemento. Indica sucesso ou uma ação positiva.</td>
                   <td ><a href= "https://getbootstrap.com/docs/4.0/utilities/colors#background-color" target="_blank">Background Green</a></td>
                </tr>
                <tr>
                   <td bgcolor='#CDCDCD'>009</td>
                   <td bgcolor='#CDCDCD'>.center-block</td>
                   <td bgcolor='#CDCDCD'>Centraliza qualquer elemento (define um elemento para display:block com margem direita: auto e margem esquerda: auto)</td>
                   <td bgcolor='#CDCDCD'><a href= "https://getbootstrap.com/docs/3.4/css#images-responsive" target="_blank">Centralizar</a></td>
                </tr>
                <tr>
                   <td >010</td>
                   <td >.jumbotron</td>
                   <td >Cria uma caixa cinza acolchoada com cantos arredondados que aumenta o tamanho da fonte do texto dentro dela. Cria uma caixa grande para chamar atenção extra para algum conteúdo ou informação especial.</td>
                   <td ><a href= "https://getbootstrap.com/docs/4.0/components/jumbotron" target="_blank">Caixa Cinza</a></td>
                </tr>
            </tbody>
            <script>
           
    $('input#txt_consulta').quicksearch('table#tabela tbody tr');

            </script>
        </table>

    </body>
</html>
